Package org.apache.tomcat.jdbc.pool

## Class StatementFacade

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.JdbcInterceptor
  - - org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor
    - - org.apache.tomcat.jdbc.pool.StatementFacade

All Implemented Interfaces:
  `java.lang.reflect.InvocationHandler`

    public class StatementFacade
    extends AbstractCreateStatementInterceptor

### Nested Class Summary

Nested Classes
`protected class` `StatementFacade.StatementProxy` Class to measure query execute time.

### Field Summary

### Fields inherited from class org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor

`constructors, CREATE_STATEMENT, CREATE_STATEMENT_IDX, EXECUTE, EXECUTE_BATCH, EXECUTE_QUERY, EXECUTE_TYPES, EXECUTE_UPDATE, PREPARE_CALL, PREPARE_CALL_IDX, PREPARE_STATEMENT, PREPARE_STATEMENT_IDX, STATEMENT_TYPE_COUNT, STATEMENT_TYPES`

### Fields inherited from class org.apache.tomcat.jdbc.pool.JdbcInterceptor

`CLOSE_VAL, EQUALS_VAL, GETCONNECTION_VAL, HASHCODE_VAL, ISCLOSED_VAL, ISVALID_VAL, ISWRAPPERFOR_VAL, properties, TOSTRING_VAL, UNWRAP_VAL`

### Constructor Summary

Constructors
`protected` `StatementFacade​(JdbcInterceptor interceptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeInvoked()` Method invoked when the operation `Connection.close()` is invoked.
`java.lang.Object` `createStatement​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args, java.lang.Object statement, long time)` Creates a statement interceptor to monitor query response times

### Methods inherited from class org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor

`getConstructor, invoke, isExecute, isStatement, process, reset`

### Methods inherited from class org.apache.tomcat.jdbc.pool.JdbcInterceptor

`compare, compare, disconnected, getNext, getProperties, isUseEquals, poolClosed, poolStarted, setNext, setProperties, setUseEquals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatementFacade

    protected StatementFacade​(JdbcInterceptor interceptor)

### Method Detail

#### closeInvoked

    public void closeInvoked()

Description copied from class: `AbstractCreateStatementInterceptor`
Method invoked when the operation `Connection.close()` is invoked.

Specified by:
  `closeInvoked` in class `AbstractCreateStatementInterceptor`

#### createStatement

    public java.lang.Object createStatement​(java.lang.Object proxy,
                                            java.lang.reflect.Method method,
                                            java.lang.Object[] args,
                                            java.lang.Object statement,
                                            long time)

Creates a statement interceptor to monitor query response times

Specified by:
  `createStatement` in class `AbstractCreateStatementInterceptor`
Parameters:
  `proxy` - the actual proxy object
  `method` - the method that was called. It will be one of the methods defined in `AbstractCreateStatementInterceptor.STATEMENT_TYPES`
  `args` - the arguments to the method
  `statement` - the statement that the underlying connection created
  `time` - Elapsed time
Returns:
  a `Statement` object